Skip to content
POST /auth/passkey/authentication/verify

Request Body

responseobject
required·

The PublicKeyCredential returned by navigator.credentials.get(), JSON-serialized (base64url). Extra fields the browser adds are accepted and ignored.

responseobject
required
4 properties
authenticatorDatastring

base64url. Max 64 KB.

clientDataJSONstring

base64url. Max 64 KB.

signaturestring

base64url. Max 64 KB.

userHandlestring

base64url. Max 64 KB. Ignored — the credential ID resolves the user.

idstring

base64url credential ID. Max 64 KB.

rawIdstring

base64url credential ID. Max 64 KB.

typestring

Always public-key. Max 64 characters.

Example: public-key
handlestring

The handle returned by authentication/options.

Response Body

successboolean
Example: true
curl -X POST 'https://api.truto.one/auth/passkey/authentication/verify' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "response": {},
  "handle": "your_handle"
}'
const body = {
  "response": {},
  "handle": "your_handle"
};

const response = await fetch('https://api.truto.one/auth/passkey/authentication/verify', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/auth/passkey/authentication/verify"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}
payload = {
    "response": {},
    "handle": "your_handle"
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())